From 8eae3fa02d6a932369bc1d6ca31c9bb38187b7d4 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Fri, 13 May 2022 09:01:15 +0200
Subject: [PATCH 13/14] Add missing slurm_msg_set_r_uid()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmd/slurmstepd/mgr.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/slurmd/slurmstepd/mgr.c b/src/slurmd/slurmstepd/mgr.c
index 887f0dbf6b..bf10a87bf7 100644
--- a/src/slurmd/slurmstepd/mgr.c
+++ b/src/slurmd/slurmstepd/mgr.c
@@ -2540,6 +2540,7 @@ _send_complete_batch_script_msg(stepd_step_rec_t *job, int err, int status)
 				slurm_set_addr_char(&req_msg.address,
 						    conf->port, conf->hostname);
 			}
+			slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 			msg_rc = slurm_send_recv_rc_msg_only_one(&req_msg,
 								 &rc, 0);
 		}
-- 
2.35.3


